FWTextInternal::Font Struct Reference

Internal: class to store a font and it state. More...

## Public Member Functions

| Font ()
| constructor More...
void | update ()
| update the font using the modifier More...

## Public Attributes

MWAWFont | m_font
| the font More...
bool | m_state [128]
| the rendering state More...
DataModifier | m_modifier
| the modifier data More...
bool | m_defModifier
| a flag to know if the data modifier is default More...
Item | m_item
| the index More...

## Detailed Description

Internal: class to store a font and it state.

## Constructor & Destructor Documentation

FWTextInternal::Font::Font | ( |  | ) |

inline

constructor

## Member Function Documentation

void FWTextInternal::Font::update | ( |  | ) |

update the font using the modifier

Referenced by FWText::send().

## Member Data Documentation

bool FWTextInternal::Font::m_defModifier

a flag to know if the data modifier is default

Referenced by FWText::send(), and update().

MWAWFont FWTextInternal::Font::m_font

the font

Referenced by FWText::send(), FWText::sendHiddenItem(), and update().

Item FWTextInternal::Font::m_item

the index

Referenced by FWText::send(), and FWText::sendHiddenItem().

DataModifier FWTextInternal::Font::m_modifier

the modifier data

Referenced by FWText::send(), and update().

bool FWTextInternal::Font::m_state[128]

the rendering state

Referenced by Font(), FWText::send(), and update().

The documentation for this struct was generated from the following file:

- FWText.cxx